## ros-kinetic-grizzly-navigation 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grizzly_navigation)

find_package(catkin)

catkin_package()


if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()


install(
  DIRECTORY config launch maps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-grizzly-navigation (0.4.2-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-navigation (0.4.1-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 21 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-navigation (0.4.0-0xenial) xenial; urgency=high

  * Minor package.xml and CMakeList.txt clean-up.
  * [grizzly_navigation] Updated the footprint and padding.
  * Added urdf files and control config files for base.launch to run. Updated package.xml files and changelogs to match current version.
  * Contributors: Mohamed Elshatshat, Tony Baltovski
  * Minor package.xml and CMakeList.txt clean-up.
  * [grizzly_navigation] Updated the footprint and padding.
  * Added urdf files and control config files for base.launch to run. Updated package.xml files and changelogs to match current version.
  * Contributors: Mohamed Elshatshat, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 05 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-navigation (0.3.2-0xenial) xenial; urgency=high

  * Changes
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-kinetic-grizzly-navigation (0.3.1-0xenial) xenial; urgency=high

  * Changes
  * Merge pull request #16 <https://github.com/g/grizzly/issues/16> from g/imu-topic
    change imu topic to imu/data_compass
  * fix imu topic
  * change imu topic to imu/data_combined
  * Merge pull request #15 <https://github.com/g/grizzly/issues/15> from g/nav-fixes
    Rename config and launch files to localization.yaml and localization.launch
  * In navigation pkg, rename config and launch files to localization
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 09 Jan 2015 05:00:00 -0000

ros-kinetic-grizzly-navigation (0.3.0-0xenial) xenial; urgency=high

  * Changes
  * Merge branch 'indigo-devel' of https://github.com/g/grizzly into remove-properties
  * Merge pull request #13 <https://github.com/g/grizzly/issues/13> from g/add-robot-localization
    Replace robot_pose_ekf with robot_localization.
  * Replace robot_pose_ekf with robot_localization.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-kinetic-grizzly-navigation (0.2.0-0xenial) xenial; urgency=high

  * Changes
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-navigation (0.1.5-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 16:55:00 -0000

ros-kinetic-grizzly-navigation (0.1.4-0xenial) xenial; urgency=high

  * Changes
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 15:26:00 -0000

ros-kinetic-grizzly-navigation (0.1.3-0xenial) xenial; urgency=high

  * Changes
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-navigation (0.1.2-0xenial) xenial; urgency=high

  * "0.1.2"
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Dec 2013 05:00:00 -0000

ros-kinetic-grizzly-navigation (0.1.1-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

ros-kinetic-grizzly-navigation (0.1.0-0xenial) xenial; urgency=high

  * Changes
  * remove remap tag from ekf.launch, and modify the odometry topic from encoder to odom
  * remove output=screen
  * install launch folder to share folder instead of the bin folder
  * Merge branch 'hydro-devel' of https://github.com/g/grizzly into hydro-devel
  * Merge branch 'hydro-devel' of https://github.com/g/grizzly into hydro-devel
  * initial commit for grizzly_navigation
  * Contributors: Mike Purvis, y22ma

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 28 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-grizzly-navigation
Section: misc
Priority: extra
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-grizzly-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-amcl, ros-kinetic-base-local-planner, ros-kinetic-dwa-local-planner, ros-kinetic-gmapping, ros-kinetic-map-server, ros-kinetic-move-base, ros-kinetic-navfn
Description: Autonomous mapping and navigation demos for the Clearpath Grizzly

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-grizzly-navigation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
